List location open hours
curl --request GET \
--url https://api.staging.blackbird.xyz/flynet/v1/locations/{id}/open_hoursconst options = {method: 'GET'};
fetch('https://api.staging.blackbird.xyz/flynet/v1/locations/{id}/open_hours', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'GET'};
fetch('https://api.staging.blackbird.xyz/flynet/v1/locations/{id}/open_hours', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));Locations
List location open hours
GET
/
locations
/
{id}
/
open_hours
List location open hours
curl --request GET \
--url https://api.staging.blackbird.xyz/flynet/v1/locations/{id}/open_hoursconst options = {method: 'GET'};
fetch('https://api.staging.blackbird.xyz/flynet/v1/locations/{id}/open_hours', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'GET'};
fetch('https://api.staging.blackbird.xyz/flynet/v1/locations/{id}/open_hours', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));Returns weekly open hours for a location. This endpoint is not
paginated.
Auth: API key in
Missing days imply the location is closed on that day.
X-API-Key.
Example
curl https://api.staging.blackbird.xyz/flynet/v1/locations/{uuid}/open_hours \
-H "X-API-Key: $API_KEY"
Response
{
"open_hours": [
{
"object": "open_hour",
"day_of_week": "monday",
"open_time": "17:00",
"close_time": "23:00"
}
]
}